#include "stdafx.h"
#include "LKFAufenthaltAbteilung.h"

extern "C" {
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "lkf5defs.h"
}

#include "LKFAufenthalt.h"

namespace lkfxdok {
	namespace c {
		LKFAufenthaltAbteilung::LKFAufenthaltAbteilung(LKFAufenthalt ^aufenthalt, unsigned int index) : LKFAufenthaltChild(aufenthalt, index)
		{
		}

		String ^LKFAufenthaltAbteilung::Line::get() {
			char buf[2048];
			if (lkf_auf_line_abt((LKF_AUFENTHALT *)_aufenthalt->_aufenthaltPtr, _index, buf))
				return gcnew String(buf, 0, (int) strlen(buf), System::Text::Encoding::UTF8);
			return nullptr;
		}

		LKFAbtScoring ^LKFAufenthaltAbteilung::GetScoring() {
			return _aufenthalt->GetAbtScoring(_index);
		}

		long LKFAufenthaltAbteilung::GetBD() {
			return _aufenthalt->GetAbtBD(_index);
		}
	}
}

